---@meta

---@class FAssetLoadingStateProviderMessage : FStageProviderEventMessage
---@field LoadingState EStageLoadingState
---@field AssetName FString
local FAssetLoadingStateProviderMessage = {}



---@class FCriticalStateProviderMessage : FStageProviderEventMessage
---@field State EStageCriticalStateEvent
---@field SourceName FName
local FCriticalStateProviderMessage = {}



---@class FStageDataBaseMessage
---@field StageMessageVersion int32
---@field Identifier FGuid
local FStageDataBaseMessage = {}



---@class FStageInstanceDescriptor
---@field MachineName FString
---@field ProcessId uint32
---@field RolesStringified FString
---@field FriendlyName FName
---@field SessionId int32
local FStageInstanceDescriptor = {}



---@class FStageMonitorBaseMessage : FStageDataBaseMessage
local FStageMonitorBaseMessage = {}


---@class FStageMonitorCloseMessage : FStageMonitorBaseMessage
local FStageMonitorCloseMessage = {}


---@class FStageProviderCloseMessage : FStageProviderEventMessage
local FStageProviderCloseMessage = {}


---@class FStageProviderDiscoveryMessage : FStageMonitorBaseMessage
---@field Descriptor FStageInstanceDescriptor
local FStageProviderDiscoveryMessage = {}



---@class FStageProviderDiscoveryResponseMessage : FStageProviderEventMessage
---@field Descriptor FStageInstanceDescriptor
local FStageProviderDiscoveryResponseMessage = {}



---@class FStageProviderEventMessage : FStageProviderMessage
local FStageProviderEventMessage = {}


---@class FStageProviderMessage : FStageDataBaseMessage
---@field FrameTime FQualifiedFrameTime
---@field DateTime FDateTime
local FStageProviderMessage = {}



---@class FStageProviderPeriodicMessage : FStageProviderMessage
local FStageProviderPeriodicMessage = {}


